Subject: Re: [PATCH v2 2/2] netcons: Add udp send fail statistics to netconsole

From: Breno Leitao <[email-masked]>
Date: Fri, 30 Aug 2024 07:12:25 -0700

Hello Maksym,

On Fri, Aug 30, 2024 at 08:58:12AM -0400, Maksym Kutsevol wrote:

> > I am not sure this if/else/endif is the best way. I am wondering if
> > something like this would make the code simpler (uncompiled/untested):

> Two calls in two different places to netpoll_send_udp bothers you or
> the way it has to distinct cases for enabled/disabled and you prefer to
> have it as added steps for the case when it's enabled?

I would say both. I try to reduce as much as possible the number of
similar calls and #else(s) is the goal.

At the same time, I admit it is easier said than done, and Jakub is
usually the one that helps me to reach the last mile.